Skip to Content

List topic forms

Lists the signup forms belonging to the visible topic.

GET
/v1/topics/{id}/forms

Lists the signup forms belonging to the visible topic. Forms contain exact HTTPS allowed origins, bounded confirmation and success copy, an optional HTTPS redirect, and a public key for hosted or embedded signup.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

id*string
Match^tpc_[0-9a-hjkmnp-tv-z]{16,24}$

Response Body

Success

application/json
  1. response
items*array<>
Example Request
import { createClient } from "samva";

const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });

const result = await samva.topicForms.list({
  "id": "example"
});
Example Response
{
  "items": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "publicKey": "29f62ed2-b67a-44ba-84f5-217ecee94438",
      "topicId": "string",
      "allowedOrigins": [
        "string"
      ],
      "confirmationTitle": "string",
      "confirmationMessage": "string",
      "successTitle": "string",
      "successMessage": "string",
      "redirectUrl": "string",
      "linkOrigin": "string",
      "createdAt": "string",
      "updatedAt": "string"
    }
  ]
}

Related documentation